Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ddf
Class EscherProperties

    java.lang.Object
      org.apache.poi.ddf.EscherProperties

    public final class EscherProperties

extends java.lang.Object

Provides a list of all known escher properties including the description and type.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `BLIP__BLIPFILENAME`
`static short` | `BLIP__BLIPFLAGS`
`static short` | `BLIP__BLIPTODISPLAY`
`static short` | `BLIP__BRIGHTNESSSETTING`
`static short` | `BLIP__CONTRASTSETTING`
`static short` | `BLIP__CROPFROMBOTTOM`
`static short` | `BLIP__CROPFROMLEFT`
`static short` | `BLIP__CROPFROMRIGHT`
`static short` | `BLIP__CROPFROMTOP`
`static short` | `BLIP__DOUBLEMOD`
`static short` | `BLIP__GAMMA`
`static short` | `BLIP__NOHITTESTPICTURE`
`static short` | `BLIP__PICTUREACTIVE`
`static short` | `BLIP__PICTUREBILEVEL`
`static short` | `BLIP__PICTUREFILLMOD`
`static short` | `BLIP__PICTUREGRAY`
`static short` | `BLIP__PICTUREID`
`static short` | `BLIP__PICTURELINE`
`static short` | `BLIP__PRINTBLIP`
`static short` | `BLIP__PRINTBLIPFILENAME`
`static short` | `BLIP__PRINTFLAGS`
`static short` | `BLIP__TRANSPARENTCOLOR`
`static short` | `CALLOUT__CALLOUTACCENTBAR`
`static short` | `CALLOUT__CALLOUTANGLE`
`static short` | `CALLOUT__CALLOUTDROPSPECIFIED`
`static short` | `CALLOUT__CALLOUTDROPTYPE`
`static short` | `CALLOUT__CALLOUTLENGTHSPECIFIED`
`static short` | `CALLOUT__CALLOUTMINUSX`
`static short` | `CALLOUT__CALLOUTMINUSY`
`static short` | `CALLOUT__CALLOUTTEXTBORDER`
`static short` | `CALLOUT__CALLOUTTYPE`
`static short` | `CALLOUT__DROPAUTO`
`static short` | `CALLOUT__ISCALLOUT`
`static short` | `CALLOUT__LENGTHSPECIFIED`
`static short` | `CALLOUT__XYCALLOUTGAP`
`static short` | `FILL__ANGLE`
`static short` | `FILL__BACKOPACITY`
`static short` | `FILL__BLIPFILENAME`
`static short` | `FILL__BLIPFLAGS`
`static short` | `FILL__CRMOD`
`static short` | `FILL__DZTYPE`
`static short` | `FILL__FILLBACKCOLOR`
`static short` | `FILL__FILLCOLOR`
`static short` | `FILL__FILLED`
`static short` | `FILL__FILLOPACITY`
`static short` | `FILL__FILLTYPE`
`static short` | `FILL__FOCUS`
`static short` | `FILL__HEIGHT`
`static short` | `FILL__HITTESTFILL`
`static short` | `FILL__NOFILLHITTEST`
`static short` | `FILL__ORIGINX`
`static short` | `FILL__ORIGINY`
`static short` | `FILL__PATTERNTEXTURE`
`static short` | `FILL__RECTBOTTOM`
`static short` | `FILL__RECTLEFT`
`static short` | `FILL__RECTRIGHT`
`static short` | `FILL__RECTTOP`
`static short` | `FILL__SHADECOLORS`
`static short` | `FILL__SHADEPRESET`
`static short` | `FILL__SHADETYPE`
`static short` | `FILL__SHAPE`
`static short` | `FILL__SHAPEORIGINX`
`static short` | `FILL__SHAPEORIGINY`
`static short` | `FILL__TOBOTTOM`
`static short` | `FILL__TOLEFT`
`static short` | `FILL__TORIGHT`
`static short` | `FILL__TOTOP`
`static short` | `FILL__USERECT`
`static short` | `FILL__WIDTH`
`static short` | `GEOMETRY__3DOK`
`static short` | `GEOMETRY__ADJUST10VALUE`
`static short` | `GEOMETRY__ADJUST2VALUE`
`static short` | `GEOMETRY__ADJUST3VALUE`
`static short` | `GEOMETRY__ADJUST4VALUE`
`static short` | `GEOMETRY__ADJUST5VALUE`
`static short` | `GEOMETRY__ADJUST6VALUE`
`static short` | `GEOMETRY__ADJUST7VALUE`
`static short` | `GEOMETRY__ADJUST8VALUE`
`static short` | `GEOMETRY__ADJUST9VALUE`
`static short` | `GEOMETRY__ADJUSTVALUE`
`static short` | `GEOMETRY__BOTTOM`
`static short` | `GEOMETRY__FILLOK`
`static short` | `GEOMETRY__FILLSHADESHAPEOK`
`static short` | `GEOMETRY__GEOTEXTOK`
`static short` | `GEOMETRY__LEFT`
`static short` | `GEOMETRY__LINEOK`
`static short` | `GEOMETRY__RIGHT`
`static short` | `GEOMETRY__SEGMENTINFO`
`static short` | `GEOMETRY__SHADOWok`
`static short` | `GEOMETRY__SHAPEPATH`
`static short` | `GEOMETRY__TOP`
`static short` | `GEOMETRY__VERTICES`
`static short` | `GEOTEXT__ALIGNMENTONCURVE`
`static short` | `GEOTEXT__BOLDFONT`
`static short` | `GEOTEXT__CHARBOUNDINGBOX`
`static short` | `GEOTEXT__DEFAULTPOINTSIZE`
`static short` | `GEOTEXT__FONTFAMILYNAME`
`static short` | `GEOTEXT__HASTEXTEFFECT`
`static short` | `GEOTEXT__ITALICFONT`
`static short` | `GEOTEXT__KERNCHARACTERS`
`static short` | `GEOTEXT__NOMEASUREALONGPATH`
`static short` | `GEOTEXT__REVERSEROWORDER`
`static short` | `GEOTEXT__ROTATECHARACTERS`
`static short` | `GEOTEXT__RTFTEXT`
`static short` | `GEOTEXT__SCALETEXTONPATH`
`static short` | `GEOTEXT__SHADOWFONT`
`static short` | `GEOTEXT__SMALLCAPSFONT`
`static short` | `GEOTEXT__STRETCHCHARHEIGHT`
`static short` | `GEOTEXT__STRETCHTOFITSHAPE`
`static short` | `GEOTEXT__STRIKETHROUGHFONT`
`static short` | `GEOTEXT__TEXTSPACING`
`static short` | `GEOTEXT__TIGHTORTRACK`
`static short` | `GEOTEXT__UNDERLINEFONT`
`static short` | `GEOTEXT__UNICODE`
`static short` | `GROUPSHAPE__1DADJUSTMENT`
`static short` | `GROUPSHAPE__BEHINDDOCUMENT`
`static short` | `GROUPSHAPE__BORDERBOTTOMCOLOR`
`static short` | `GROUPSHAPE__BORDERLEFTCOLOR`
`static short` | `GROUPSHAPE__BORDERRIGHTCOLOR`
`static short` | `GROUPSHAPE__BORDERTOPCOLOR`
`static short` | `GROUPSHAPE__DESCRIPTION`
`static short` | `GROUPSHAPE__EDITEDWRAP`
`static short` | `GROUPSHAPE__FLAGS`
`static short` | `GROUPSHAPE__HIDDEN`
`static short` | `GROUPSHAPE__HR_ALIGN`
`static short` | `GROUPSHAPE__HR_HEIGHT`
`static short` | `GROUPSHAPE__HR_PCT`
`static short` | `GROUPSHAPE__HR_WIDTH`
`static short` | `GROUPSHAPE__HYPERLINK`
`static short` | `GROUPSHAPE__ISBUTTON`
`static short` | `GROUPSHAPE__METROBLOB`
`static short` | `GROUPSHAPE__ONDBLCLICKNOTIFY`
`static short` | `GROUPSHAPE__POSH`
`static short` | `GROUPSHAPE__POSRELH`
`static short` | `GROUPSHAPE__POSRELV`
`static short` | `GROUPSHAPE__POSV`
`static short` | `GROUPSHAPE__PRINT`
`static short` | `GROUPSHAPE__REGROUPID`
`static short` | `GROUPSHAPE__SCRIPT`
`static short` | `GROUPSHAPE__SCRIPTEXT`
`static short` | `GROUPSHAPE__SCRIPTLANG`
`static short` | `GROUPSHAPE__SHAPENAME`
`static short` | `GROUPSHAPE__TABLEPROPERTIES`
`static short` | `GROUPSHAPE__TABLEROWPROPERTIES`
`static short` | `GROUPSHAPE__TOOLTIP`
`static short` | `GROUPSHAPE__UNUSED906`
`static short` | `GROUPSHAPE__WEBBOT`
`static short` | `GROUPSHAPE__WRAPDISTBOTTOM`
`static short` | `GROUPSHAPE__WRAPDISTLEFT`
`static short` | `GROUPSHAPE__WRAPDISTRIGHT`
`static short` | `GROUPSHAPE__WRAPDISTTOP`
`static short` | `GROUPSHAPE__WRAPPOLYGONVERTICES`
`static short` | `GROUPSHAPE__ZORDER`
`static short` | `LINESTYLE__ANYLINE`
`static short` | `LINESTYLE__ARROWHEADSOK`
`static short` | `LINESTYLE__BACKCOLOR`
`static short` | `LINESTYLE__COLOR`
`static short` | `LINESTYLE__CRMOD`
`static short` | `LINESTYLE__FILLBLIP`
`static short` | `LINESTYLE__FILLBLIPFLAGS`
`static short` | `LINESTYLE__FILLBLIPNAME`
`static short` | `LINESTYLE__FILLDZTYPE`
`static short` | `LINESTYLE__FILLHEIGHT`
`static short` | `LINESTYLE__FILLWIDTH`
`static short` | `LINESTYLE__HITLINETEST`
`static short` | `LINESTYLE__LINEDASHING`
`static short` | `LINESTYLE__LINEDASHSTYLE`
`static short` | `LINESTYLE__LINEENDARROWHEAD`
`static short` | `LINESTYLE__LINEENDARROWLENGTH`
`static short` | `LINESTYLE__LINEENDARROWWIDTH`
`static short` | `LINESTYLE__LINEENDCAPSTYLE`
`static short` | `LINESTYLE__LINEESTARTARROWLENGTH`
`static short` | `LINESTYLE__LINEFILLSHAPE`
`static short` | `LINESTYLE__LINEJOINSTYLE`
`static short` | `LINESTYLE__LINEMITERLIMIT`
`static short` | `LINESTYLE__LINESTARTARROWHEAD`
`static short` | `LINESTYLE__LINESTARTARROWWIDTH`
`static short` | `LINESTYLE__LINESTYLE`
`static short` | `LINESTYLE__LINETYPE`
`static short` | `LINESTYLE__LINEWIDTH`
`static short` | `LINESTYLE__NOLINEDRAWDASH`
`static short` | `LINESTYLE__OPACITY`
`static short` | `PERSPECTIVE__OFFSETX`
`static short` | `PERSPECTIVE__OFFSETY`
`static short` | `PERSPECTIVE__ORIGINX`
`static short` | `PERSPECTIVE__ORIGINY`
`static short` | `PERSPECTIVE__PERSPECTIVEON`
`static short` | `PERSPECTIVE__PERSPECTIVEX`
`static short` | `PERSPECTIVE__PERSPECTIVEY`
`static short` | `PERSPECTIVE__SCALEXTOX`
`static short` | `PERSPECTIVE__SCALEXTOY`
`static short` | `PERSPECTIVE__SCALEYTOX`
`static short` | `PERSPECTIVE__SCALEYTOY`
`static short` | `PERSPECTIVE__TYPE`
`static short` | `PERSPECTIVE__WEIGHT`
`static short` | `PROTECTION__LOCKADJUSTHANDLES`
`static short` | `PROTECTION__LOCKAGAINSTGROUPING`
`static short` | `PROTECTION__LOCKAGAINSTSELECT`
`static short` | `PROTECTION__LOCKASPECTRATIO`
`static short` | `PROTECTION__LOCKCROPPING`
`static short` | `PROTECTION__LOCKPOSITION`
`static short` | `PROTECTION__LOCKROTATION`
`static short` | `PROTECTION__LOCKTEXT`
`static short` | `PROTECTION__LOCKVERTICES`
`static short` | `SHADOWSTYLE__COLOR`
`static short` | `SHADOWSTYLE__CRMOD`
`static short` | `SHADOWSTYLE__HIGHLIGHT`
`static short` | `SHADOWSTYLE__OFFSETX`
`static short` | `SHADOWSTYLE__OFFSETY`
`static short` | `SHADOWSTYLE__OPACITY`
`static short` | `SHADOWSTYLE__ORIGINX`
`static short` | `SHADOWSTYLE__ORIGINY`
`static short` | `SHADOWSTYLE__PERSPECTIVEX`
`static short` | `SHADOWSTYLE__PERSPECTIVEY`
`static short` | `SHADOWSTYLE__SCALEXTOX`
`static short` | `SHADOWSTYLE__SCALEXTOY`
`static short` | `SHADOWSTYLE__SCALEYTOX`
`static short` | `SHADOWSTYLE__SCALEYTOY`
`static short` | `SHADOWSTYLE__SECONDOFFSETX`
`static short` | `SHADOWSTYLE__SECONDOFFSETY`
`static short` | `SHADOWSTYLE__SHADOW`
`static short` | `SHADOWSTYLE__SHADOWOBSURED`
`static short` | `SHADOWSTYLE__TYPE`
`static short` | `SHADOWSTYLE__WEIGHT`
`static short` | `SHAPE__BACKGROUNDSHAPE`
`static short` | `SHAPE__BLACKANDWHITESETTINGS`
`static short` | `SHAPE__CONNECTORSTYLE`
`static short` | `SHAPE__DELETEATTACHEDOBJECT`
`static short` | `SHAPE__LOCKSHAPETYPE`
`static short` | `SHAPE__MASTER`
`static short` | `SHAPE__OLEICON`
`static short` | `SHAPE__PREFERRELATIVERESIZE`
`static short` | `SHAPE__WMODEBW`
`static short` | `SHAPE__WMODEPUREBW`
`static short` | `TEXT__ANCHORTEXT`
`static short` | `TEXT__BIDIR`
`static short` | `TEXT__FONTROTATION`
`static short` | `TEXT__IDOFNEXTSHAPE`
`static short` | `TEXT__ROTATETEXTWITHSHAPE`
`static short` | `TEXT__SCALETEXT`
`static short` | `TEXT__SINGLECLICKSELECTS`
`static short` | `TEXT__SIZE_TEXT_TO_FIT_SHAPE`
`static short` | `TEXT__SIZESHAPETOFITTEXT`
`static short` | `TEXT__TEXTBOTTOM`
`static short` | `TEXT__TEXTFLOW`
`static short` | `TEXT__TEXTID`
`static short` | `TEXT__TEXTLEFT`
`static short` | `TEXT__TEXTRIGHT`
`static short` | `TEXT__TEXTTOP`
`static short` | `TEXT__USEHOSTMARGINS`
`static short` | `TEXT__WRAPTEXT`
`static short` | `THREED__3DEFFECT`
`static short` | `THREED__CRMOD`
`static short` | `THREED__DIFFUSEAMOUNT`
`static short` | `THREED__EDGETHICKNESS`
`static short` | `THREED__EXTRUDEBACKWARD`
`static short` | `THREED__EXTRUDEFORWARD`
`static short` | `THREED__EXTRUDEPLANE`
`static short` | `THREED__EXTRUSIONCOLOR`
`static short` | `THREED__LIGHTFACE`
`static short` | `THREED__METALLIC`
`static short` | `THREED__SHININESS`
`static short` | `THREED__SPECULARAMOUNT`
`static short` | `THREED__USEEXTRUSIONCOLOR`
`static short` | `THREEDSTYLE__AMBIENTINTENSITY`
`static short` | `THREEDSTYLE__CONSTRAINROTATION`
`static short` | `THREEDSTYLE__FILLHARSH`
`static short` | `THREEDSTYLE__FILLINTENSITY`
`static short` | `THREEDSTYLE__FILLX`
`static short` | `THREEDSTYLE__FILLY`
`static short` | `THREEDSTYLE__FILLZ`
`static short` | `THREEDSTYLE__KEYHARSH`
`static short` | `THREEDSTYLE__KEYINTENSITY`
`static short` | `THREEDSTYLE__KEYX`
`static short` | `THREEDSTYLE__KEYY`
`static short` | `THREEDSTYLE__KEYZ`
`static short` | `THREEDSTYLE__ORIGINX`
`static short` | `THREEDSTYLE__ORIGINY`
`static short` | `THREEDSTYLE__PARALLEL`
`static short` | `THREEDSTYLE__RENDERMODE`
`static short` | `THREEDSTYLE__ROTATIONANGLE`
`static short` | `THREEDSTYLE__ROTATIONAXISX`
`static short` | `THREEDSTYLE__ROTATIONAXISY`
`static short` | `THREEDSTYLE__ROTATIONAXISZ`
`static short` | `THREEDSTYLE__ROTATIONCENTERAUTO`
`static short` | `THREEDSTYLE__ROTATIONCENTERX`
`static short` | `THREEDSTYLE__ROTATIONCENTERY`
`static short` | `THREEDSTYLE__ROTATIONCENTERZ`
`static short` | `THREEDSTYLE__SKEWAMOUNT`
`static short` | `THREEDSTYLE__SKEWANGLE`
`static short` | `THREEDSTYLE__TOLERANCE`
`static short` | `THREEDSTYLE__XROTATIONANGLE`
`static short` | `THREEDSTYLE__XVIEWPOINT`
`static short` | `THREEDSTYLE__YROTATIONANGLE`
`static short` | `THREEDSTYLE__YVIEWPOINT`
`static short` | `THREEDSTYLE__ZVIEWPOINT`
`static short` | `TRANSFORM__ROTATION`

Constructor Summary
`EscherProperties()`

Method Summary
`static java.lang.String` | `getPropertyName(short propertyId)`
`static byte` | `getPropertyType(short propertyId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSFORM__ROTATION

    public static final short TRANSFORM__ROTATION

See Also:
  Constant Field Values

### PROTECTION__LOCKROTATION

    public static final short PROTECTION__LOCKROTATION

See Also:
  Constant Field Values

### PROTECTION__LOCKASPECTRATIO

    public static final short PROTECTION__LOCKASPECTRATIO

See Also:
  Constant Field Values

### PROTECTION__LOCKPOSITION

    public static final short PROTECTION__LOCKPOSITION

See Also:
  Constant Field Values

### PROTECTION__LOCKAGAINSTSELECT

    public static final short PROTECTION__LOCKAGAINSTSELECT

See Also:
  Constant Field Values

### PROTECTION__LOCKCROPPING

    public static final short PROTECTION__LOCKCROPPING

See Also:
  Constant Field Values

### PROTECTION__LOCKVERTICES

    public static final short PROTECTION__LOCKVERTICES

See Also:
  Constant Field Values

### PROTECTION__LOCKTEXT

    public static final short PROTECTION__LOCKTEXT

See Also:
  Constant Field Values

### PROTECTION__LOCKADJUSTHANDLES

    public static final short PROTECTION__LOCKADJUSTHANDLES

See Also:
  Constant Field Values

### PROTECTION__LOCKAGAINSTGROUPING

    public static final short PROTECTION__LOCKAGAINSTGROUPING

See Also:
  Constant Field Values

### TEXT__TEXTID

    public static final short TEXT__TEXTID

See Also:
  Constant Field Values

### TEXT__TEXTLEFT

    public static final short TEXT__TEXTLEFT

See Also:
  Constant Field Values

### TEXT__TEXTTOP

    public static final short TEXT__TEXTTOP

See Also:
  Constant Field Values

### TEXT__TEXTRIGHT

    public static final short TEXT__TEXTRIGHT

See Also:
  Constant Field Values

### TEXT__TEXTBOTTOM

    public static final short TEXT__TEXTBOTTOM

See Also:
  Constant Field Values

### TEXT__WRAPTEXT

    public static final short TEXT__WRAPTEXT

See Also:
  Constant Field Values

### TEXT__SCALETEXT

    public static final short TEXT__SCALETEXT

See Also:
  Constant Field Values

### TEXT__ANCHORTEXT

    public static final short TEXT__ANCHORTEXT

See Also:
  Constant Field Values

### TEXT__TEXTFLOW

    public static final short TEXT__TEXTFLOW

See Also:
  Constant Field Values

### TEXT__FONTROTATION

    public static final short TEXT__FONTROTATION

See Also:
  Constant Field Values

### TEXT__IDOFNEXTSHAPE

    public static final short TEXT__IDOFNEXTSHAPE

See Also:
  Constant Field Values

### TEXT__BIDIR

    public static final short TEXT__BIDIR

See Also:
  Constant Field Values

### TEXT__SINGLECLICKSELECTS

    public static final short TEXT__SINGLECLICKSELECTS

See Also:
  Constant Field Values

### TEXT__USEHOSTMARGINS

    public static final short TEXT__USEHOSTMARGINS

See Also:
  Constant Field Values

### TEXT__ROTATETEXTWITHSHAPE

    public static final short TEXT__ROTATETEXTWITHSHAPE

See Also:
  Constant Field Values

### TEXT__SIZESHAPETOFITTEXT

    public static final short TEXT__SIZESHAPETOFITTEXT

See Also:
  Constant Field Values

### TEXT__SIZE_TEXT_TO_FIT_SHAPE

    public static final short TEXT__SIZE_TEXT_TO_FIT_SHAPE

See Also:
  Constant Field Values

### GEOTEXT__UNICODE

    public static final short GEOTEXT__UNICODE

See Also:
  Constant Field Values

### GEOTEXT__RTFTEXT

    public static final short GEOTEXT__RTFTEXT

See Also:
  Constant Field Values

### GEOTEXT__ALIGNMENTONCURVE

    public static final short GEOTEXT__ALIGNMENTONCURVE

See Also:
  Constant Field Values

### GEOTEXT__DEFAULTPOINTSIZE

    public static final short GEOTEXT__DEFAULTPOINTSIZE

See Also:
  Constant Field Values

### GEOTEXT__TEXTSPACING

    public static final short GEOTEXT__TEXTSPACING

See Also:
  Constant Field Values

### GEOTEXT__FONTFAMILYNAME

    public static final short GEOTEXT__FONTFAMILYNAME

See Also:
  Constant Field Values

### GEOTEXT__REVERSEROWORDER

    public static final short GEOTEXT__REVERSEROWORDER

See Also:
  Constant Field Values

### GEOTEXT__HASTEXTEFFECT

    public static final short GEOTEXT__HASTEXTEFFECT

See Also:
  Constant Field Values

### GEOTEXT__ROTATECHARACTERS

    public static final short GEOTEXT__ROTATECHARACTERS

See Also:
  Constant Field Values

### GEOTEXT__KERNCHARACTERS

    public static final short GEOTEXT__KERNCHARACTERS

See Also:
  Constant Field Values

### GEOTEXT__TIGHTORTRACK

    public static final short GEOTEXT__TIGHTORTRACK

See Also:
  Constant Field Values

### GEOTEXT__STRETCHTOFITSHAPE

    public static final short GEOTEXT__STRETCHTOFITSHAPE

See Also:
  Constant Field Values

### GEOTEXT__CHARBOUNDINGBOX

    public static final short GEOTEXT__CHARBOUNDINGBOX

See Also:
  Constant Field Values

### GEOTEXT__SCALETEXTONPATH

    public static final short GEOTEXT__SCALETEXTONPATH

See Also:
  Constant Field Values

### GEOTEXT__STRETCHCHARHEIGHT

    public static final short GEOTEXT__STRETCHCHARHEIGHT

See Also:
  Constant Field Values

### GEOTEXT__NOMEASUREALONGPATH

    public static final short GEOTEXT__NOMEASUREALONGPATH

See Also:
  Constant Field Values

### GEOTEXT__BOLDFONT

    public static final short GEOTEXT__BOLDFONT

See Also:
  Constant Field Values

### GEOTEXT__ITALICFONT

    public static final short GEOTEXT__ITALICFONT

See Also:
  Constant Field Values

### GEOTEXT__UNDERLINEFONT

    public static final short GEOTEXT__UNDERLINEFONT

See Also:
  Constant Field Values

### GEOTEXT__SHADOWFONT

    public static final short GEOTEXT__SHADOWFONT

See Also:
  Constant Field Values

### GEOTEXT__SMALLCAPSFONT

    public static final short GEOTEXT__SMALLCAPSFONT

See Also:
  Constant Field Values

### GEOTEXT__STRIKETHROUGHFONT

    public static final short GEOTEXT__STRIKETHROUGHFONT

See Also:
  Constant Field Values

### BLIP__CROPFROMTOP

    public static final short BLIP__CROPFROMTOP

See Also:
  Constant Field Values

### BLIP__CROPFROMBOTTOM

    public static final short BLIP__CROPFROMBOTTOM

See Also:
  Constant Field Values

### BLIP__CROPFROMLEFT

    public static final short BLIP__CROPFROMLEFT

See Also:
  Constant Field Values

### BLIP__CROPFROMRIGHT

    public static final short BLIP__CROPFROMRIGHT

See Also:
  Constant Field Values

### BLIP__BLIPTODISPLAY

    public static final short BLIP__BLIPTODISPLAY

See Also:
  Constant Field Values

### BLIP__BLIPFILENAME

    public static final short BLIP__BLIPFILENAME

See Also:
  Constant Field Values

### BLIP__BLIPFLAGS

    public static final short BLIP__BLIPFLAGS

See Also:
  Constant Field Values

### BLIP__TRANSPARENTCOLOR

    public static final short BLIP__TRANSPARENTCOLOR

See Also:
  Constant Field Values

### BLIP__CONTRASTSETTING

    public static final short BLIP__CONTRASTSETTING

See Also:
  Constant Field Values

### BLIP__BRIGHTNESSSETTING

    public static final short BLIP__BRIGHTNESSSETTING

See Also:
  Constant Field Values

### BLIP__GAMMA

    public static final short BLIP__GAMMA

See Also:
  Constant Field Values

### BLIP__PICTUREID

    public static final short BLIP__PICTUREID

See Also:
  Constant Field Values

### BLIP__DOUBLEMOD

    public static final short BLIP__DOUBLEMOD

See Also:
  Constant Field Values

### BLIP__PICTUREFILLMOD

    public static final short BLIP__PICTUREFILLMOD

See Also:
  Constant Field Values

### BLIP__PICTURELINE

    public static final short BLIP__PICTURELINE

See Also:
  Constant Field Values

### BLIP__PRINTBLIP

    public static final short BLIP__PRINTBLIP

See Also:
  Constant Field Values

### BLIP__PRINTBLIPFILENAME

    public static final short BLIP__PRINTBLIPFILENAME

See Also:
  Constant Field Values

### BLIP__PRINTFLAGS

    public static final short BLIP__PRINTFLAGS

See Also:
  Constant Field Values

### BLIP__NOHITTESTPICTURE

    public static final short BLIP__NOHITTESTPICTURE

See Also:
  Constant Field Values

### BLIP__PICTUREGRAY

    public static final short BLIP__PICTUREGRAY

See Also:
  Constant Field Values

### BLIP__PICTUREBILEVEL

    public static final short BLIP__PICTUREBILEVEL

See Also:
  Constant Field Values

### BLIP__PICTUREACTIVE

    public static final short BLIP__PICTUREACTIVE

See Also:
  Constant Field Values

### GEOMETRY__LEFT

    public static final short GEOMETRY__LEFT

See Also:
  Constant Field Values

### GEOMETRY__TOP

    public static final short GEOMETRY__TOP

See Also:
  Constant Field Values

### GEOMETRY__RIGHT

    public static final short GEOMETRY__RIGHT

See Also:
  Constant Field Values

### GEOMETRY__BOTTOM

    public static final short GEOMETRY__BOTTOM

See Also:
  Constant Field Values

### GEOMETRY__SHAPEPATH

    public static final short GEOMETRY__SHAPEPATH

See Also:
  Constant Field Values

### GEOMETRY__VERTICES

    public static final short GEOMETRY__VERTICES

See Also:
  Constant Field Values

### GEOMETRY__SEGMENTINFO

    public static final short GEOMETRY__SEGMENTINFO

See Also:
  Constant Field Values

### GEOMETRY__ADJUSTVALUE

    public static final short GEOMETRY__ADJUSTVALUE

See Also:
  Constant Field Values

### GEOMETRY__ADJUST2VALUE

    public static final short GEOMETRY__ADJUST2VALUE

See Also:
  Constant Field Values

### GEOMETRY__ADJUST3VALUE

    public static final short GEOMETRY__ADJUST3VALUE

See Also:
  Constant Field Values

### GEOMETRY__ADJUST4VALUE

    public static final short GEOMETRY__ADJUST4VALUE

See Also:
  Constant Field Values

### GEOMETRY__ADJUST5VALUE

    public static final short GEOMETRY__ADJUST5VALUE

See Also:
  Constant Field Values

### GEOMETRY__ADJUST6VALUE

    public static final short GEOMETRY__ADJUST6VALUE

See Also:
  Constant Field Values

### GEOMETRY__ADJUST7VALUE

    public static final short GEOMETRY__ADJUST7VALUE

See Also:
  Constant Field Values

### GEOMETRY__ADJUST8VALUE

    public static final short GEOMETRY__ADJUST8VALUE

See Also:
  Constant Field Values

### GEOMETRY__ADJUST9VALUE

    public static final short GEOMETRY__ADJUST9VALUE

See Also:
  Constant Field Values

### GEOMETRY__ADJUST10VALUE

    public static final short GEOMETRY__ADJUST10VALUE

See Also:
  Constant Field Values

### GEOMETRY__SHADOWok

    public static final short GEOMETRY__SHADOWok

See Also:
  Constant Field Values

### GEOMETRY__3DOK

    public static final short GEOMETRY__3DOK

See Also:
  Constant Field Values

### GEOMETRY__LINEOK

    public static final short GEOMETRY__LINEOK

See Also:
  Constant Field Values

### GEOMETRY__GEOTEXTOK

    public static final short GEOMETRY__GEOTEXTOK

See Also:
  Constant Field Values

### GEOMETRY__FILLSHADESHAPEOK

    public static final short GEOMETRY__FILLSHADESHAPEOK

See Also:
  Constant Field Values

### GEOMETRY__FILLOK

    public static final short GEOMETRY__FILLOK

See Also:
  Constant Field Values

### FILL__FILLTYPE

    public static final short FILL__FILLTYPE

See Also:
  Constant Field Values

### FILL__FILLCOLOR

    public static final short FILL__FILLCOLOR

See Also:
  Constant Field Values

### FILL__FILLOPACITY

    public static final short FILL__FILLOPACITY

See Also:
  Constant Field Values

### FILL__FILLBACKCOLOR

    public static final short FILL__FILLBACKCOLOR

See Also:
  Constant Field Values

### FILL__BACKOPACITY

    public static final short FILL__BACKOPACITY

See Also:
  Constant Field Values

### FILL__CRMOD

    public static final short FILL__CRMOD

See Also:
  Constant Field Values

### FILL__PATTERNTEXTURE

    public static final short FILL__PATTERNTEXTURE

See Also:
  Constant Field Values

### FILL__BLIPFILENAME

    public static final short FILL__BLIPFILENAME

See Also:
  Constant Field Values

### FILL__BLIPFLAGS

    public static final short FILL__BLIPFLAGS

See Also:
  Constant Field Values

### FILL__WIDTH

    public static final short FILL__WIDTH

See Also:
  Constant Field Values

### FILL__HEIGHT

    public static final short FILL__HEIGHT

See Also:
  Constant Field Values

### FILL__ANGLE

    public static final short FILL__ANGLE

See Also:
  Constant Field Values

### FILL__FOCUS

    public static final short FILL__FOCUS

See Also:
  Constant Field Values

### FILL__TOLEFT

    public static final short FILL__TOLEFT

See Also:
  Constant Field Values

### FILL__TOTOP

    public static final short FILL__TOTOP

See Also:
  Constant Field Values

### FILL__TORIGHT

    public static final short FILL__TORIGHT

See Also:
  Constant Field Values

### FILL__TOBOTTOM

    public static final short FILL__TOBOTTOM

See Also:
  Constant Field Values

### FILL__RECTLEFT

    public static final short FILL__RECTLEFT

See Also:
  Constant Field Values

### FILL__RECTTOP

    public static final short FILL__RECTTOP

See Also:
  Constant Field Values

### FILL__RECTRIGHT

    public static final short FILL__RECTRIGHT

See Also:
  Constant Field Values

### FILL__RECTBOTTOM

    public static final short FILL__RECTBOTTOM

See Also:
  Constant Field Values

### FILL__DZTYPE

    public static final short FILL__DZTYPE

See Also:
  Constant Field Values

### FILL__SHADEPRESET

    public static final short FILL__SHADEPRESET

See Also:
  Constant Field Values

### FILL__SHADECOLORS

    public static final short FILL__SHADECOLORS

See Also:
  Constant Field Values

### FILL__ORIGINX

    public static final short FILL__ORIGINX

See Also:
  Constant Field Values

### FILL__ORIGINY

    public static final short FILL__ORIGINY

See Also:
  Constant Field Values

### FILL__SHAPEORIGINX

    public static final short FILL__SHAPEORIGINX

See Also:
  Constant Field Values

### FILL__SHAPEORIGINY

    public static final short FILL__SHAPEORIGINY

See Also:
  Constant Field Values

### FILL__SHADETYPE

    public static final short FILL__SHADETYPE

See Also:
  Constant Field Values

### FILL__FILLED

    public static final short FILL__FILLED

See Also:
  Constant Field Values

### FILL__HITTESTFILL

    public static final short FILL__HITTESTFILL

See Also:
  Constant Field Values

### FILL__SHAPE

    public static final short FILL__SHAPE

See Also:
  Constant Field Values

### FILL__USERECT

    public static final short FILL__USERECT

See Also:
  Constant Field Values

### FILL__NOFILLHITTEST

    public static final short FILL__NOFILLHITTEST

See Also:
  Constant Field Values

### LINESTYLE__COLOR

    public static final short LINESTYLE__COLOR

See Also:
  Constant Field Values

### LINESTYLE__OPACITY

    public static final short LINESTYLE__OPACITY

See Also:
  Constant Field Values

### LINESTYLE__BACKCOLOR

    public static final short LINESTYLE__BACKCOLOR

See Also:
  Constant Field Values

### LINESTYLE__CRMOD

    public static final short LINESTYLE__CRMOD

See Also:
  Constant Field Values

### LINESTYLE__LINETYPE

    public static final short LINESTYLE__LINETYPE

See Also:
  Constant Field Values

### LINESTYLE__FILLBLIP

    public static final short LINESTYLE__FILLBLIP

See Also:
  Constant Field Values

### LINESTYLE__FILLBLIPNAME

    public static final short LINESTYLE__FILLBLIPNAME

See Also:
  Constant Field Values

### LINESTYLE__FILLBLIPFLAGS

    public static final short LINESTYLE__FILLBLIPFLAGS

See Also:
  Constant Field Values

### LINESTYLE__FILLWIDTH

    public static final short LINESTYLE__FILLWIDTH

See Also:
  Constant Field Values

### LINESTYLE__FILLHEIGHT

    public static final short LINESTYLE__FILLHEIGHT

See Also:
  Constant Field Values

### LINESTYLE__FILLDZTYPE

    public static final short LINESTYLE__FILLDZTYPE

See Also:
  Constant Field Values

### LINESTYLE__LINEWIDTH

    public static final short LINESTYLE__LINEWIDTH

See Also:
  Constant Field Values

### LINESTYLE__LINEMITERLIMIT

    public static final short LINESTYLE__LINEMITERLIMIT

See Also:
  Constant Field Values

### LINESTYLE__LINESTYLE

    public static final short LINESTYLE__LINESTYLE

See Also:
  Constant Field Values

### LINESTYLE__LINEDASHING

    public static final short LINESTYLE__LINEDASHING

See Also:
  Constant Field Values

### LINESTYLE__LINEDASHSTYLE

    public static final short LINESTYLE__LINEDASHSTYLE

See Also:
  Constant Field Values

### LINESTYLE__LINESTARTARROWHEAD

    public static final short LINESTYLE__LINESTARTARROWHEAD

See Also:
  Constant Field Values

### LINESTYLE__LINEENDARROWHEAD

    public static final short LINESTYLE__LINEENDARROWHEAD

See Also:
  Constant Field Values

### LINESTYLE__LINESTARTARROWWIDTH

    public static final short LINESTYLE__LINESTARTARROWWIDTH

See Also:
  Constant Field Values

### LINESTYLE__LINEESTARTARROWLENGTH

    public static final short LINESTYLE__LINEESTARTARROWLENGTH

See Also:
  Constant Field Values

### LINESTYLE__LINEENDARROWWIDTH

    public static final short LINESTYLE__LINEENDARROWWIDTH

See Also:
  Constant Field Values

### LINESTYLE__LINEENDARROWLENGTH

    public static final short LINESTYLE__LINEENDARROWLENGTH

See Also:
  Constant Field Values

### LINESTYLE__LINEJOINSTYLE

    public static final short LINESTYLE__LINEJOINSTYLE

See Also:
  Constant Field Values

### LINESTYLE__LINEENDCAPSTYLE

    public static final short LINESTYLE__LINEENDCAPSTYLE

See Also:
  Constant Field Values

### LINESTYLE__ARROWHEADSOK

    public static final short LINESTYLE__ARROWHEADSOK

See Also:
  Constant Field Values

### LINESTYLE__ANYLINE

    public static final short LINESTYLE__ANYLINE

See Also:
  Constant Field Values

### LINESTYLE__HITLINETEST

    public static final short LINESTYLE__HITLINETEST

See Also:
  Constant Field Values

### LINESTYLE__LINEFILLSHAPE

    public static final short LINESTYLE__LINEFILLSHAPE

See Also:
  Constant Field Values

### LINESTYLE__NOLINEDRAWDASH

    public static final short LINESTYLE__NOLINEDRAWDASH

See Also:
  Constant Field Values

### SHADOWSTYLE__TYPE

    public static final short SHADOWSTYLE__TYPE

See Also:
  Constant Field Values

### SHADOWSTYLE__COLOR

    public static final short SHADOWSTYLE__COLOR

See Also:
  Constant Field Values

### SHADOWSTYLE__HIGHLIGHT

    public static final short SHADOWSTYLE__HIGHLIGHT

See Also:
  Constant Field Values

### SHADOWSTYLE__CRMOD

    public static final short SHADOWSTYLE__CRMOD

See Also:
  Constant Field Values

### SHADOWSTYLE__OPACITY

    public static final short SHADOWSTYLE__OPACITY

See Also:
  Constant Field Values

### SHADOWSTYLE__OFFSETX

    public static final short SHADOWSTYLE__OFFSETX

See Also:
  Constant Field Values

### SHADOWSTYLE__OFFSETY

    public static final short SHADOWSTYLE__OFFSETY

See Also:
  Constant Field Values

### SHADOWSTYLE__SECONDOFFSETX

    public static final short SHADOWSTYLE__SECONDOFFSETX

See Also:
  Constant Field Values

### SHADOWSTYLE__SECONDOFFSETY

    public static final short SHADOWSTYLE__SECONDOFFSETY

See Also:
  Constant Field Values

### SHADOWSTYLE__SCALEXTOX

    public static final short SHADOWSTYLE__SCALEXTOX

See Also:
  Constant Field Values

### SHADOWSTYLE__SCALEYTOX

    public static final short SHADOWSTYLE__SCALEYTOX

See Also:
  Constant Field Values

### SHADOWSTYLE__SCALEXTOY

    public static final short SHADOWSTYLE__SCALEXTOY

See Also:
  Constant Field Values

### SHADOWSTYLE__SCALEYTOY

    public static final short SHADOWSTYLE__SCALEYTOY

See Also:
  Constant Field Values

### SHADOWSTYLE__PERSPECTIVEX

    public static final short SHADOWSTYLE__PERSPECTIVEX

See Also:
  Constant Field Values

### SHADOWSTYLE__PERSPECTIVEY

    public static final short SHADOWSTYLE__PERSPECTIVEY

See Also:
  Constant Field Values

### SHADOWSTYLE__WEIGHT

    public static final short SHADOWSTYLE__WEIGHT

See Also:
  Constant Field Values

### SHADOWSTYLE__ORIGINX

    public static final short SHADOWSTYLE__ORIGINX

See Also:
  Constant Field Values

### SHADOWSTYLE__ORIGINY

    public static final short SHADOWSTYLE__ORIGINY

See Also:
  Constant Field Values

### SHADOWSTYLE__SHADOW

    public static final short SHADOWSTYLE__SHADOW

See Also:
  Constant Field Values

### SHADOWSTYLE__SHADOWOBSURED

    public static final short SHADOWSTYLE__SHADOWOBSURED

See Also:
  Constant Field Values

### PERSPECTIVE__TYPE

    public static final short PERSPECTIVE__TYPE

See Also:
  Constant Field Values

### PERSPECTIVE__OFFSETX

    public static final short PERSPECTIVE__OFFSETX

See Also:
  Constant Field Values

### PERSPECTIVE__OFFSETY

    public static final short PERSPECTIVE__OFFSETY

See Also:
  Constant Field Values

### PERSPECTIVE__SCALEXTOX

    public static final short PERSPECTIVE__SCALEXTOX

See Also:
  Constant Field Values

### PERSPECTIVE__SCALEYTOX

    public static final short PERSPECTIVE__SCALEYTOX

See Also:
  Constant Field Values

### PERSPECTIVE__SCALEXTOY

    public static final short PERSPECTIVE__SCALEXTOY

See Also:
  Constant Field Values

### PERSPECTIVE__SCALEYTOY

    public static final short PERSPECTIVE__SCALEYTOY

See Also:
  Constant Field Values

### PERSPECTIVE__PERSPECTIVEX

    public static final short PERSPECTIVE__PERSPECTIVEX

See Also:
  Constant Field Values

### PERSPECTIVE__PERSPECTIVEY

    public static final short PERSPECTIVE__PERSPECTIVEY

See Also:
  Constant Field Values

### PERSPECTIVE__WEIGHT

    public static final short PERSPECTIVE__WEIGHT

See Also:
  Constant Field Values

### PERSPECTIVE__ORIGINX

    public static final short PERSPECTIVE__ORIGINX

See Also:
  Constant Field Values

### PERSPECTIVE__ORIGINY

    public static final short PERSPECTIVE__ORIGINY

See Also:
  Constant Field Values

### PERSPECTIVE__PERSPECTIVEON

    public static final short PERSPECTIVE__PERSPECTIVEON

See Also:
  Constant Field Values

### THREED__SPECULARAMOUNT

    public static final short THREED__SPECULARAMOUNT

See Also:
  Constant Field Values

### THREED__DIFFUSEAMOUNT

    public static final short THREED__DIFFUSEAMOUNT

See Also:
  Constant Field Values

### THREED__SHININESS

    public static final short THREED__SHININESS

See Also:
  Constant Field Values

### THREED__EDGETHICKNESS

    public static final short THREED__EDGETHICKNESS

See Also:
  Constant Field Values

### THREED__EXTRUDEFORWARD

    public static final short THREED__EXTRUDEFORWARD

See Also:
  Constant Field Values

### THREED__EXTRUDEBACKWARD

    public static final short THREED__EXTRUDEBACKWARD

See Also:
  Constant Field Values

### THREED__EXTRUDEPLANE

    public static final short THREED__EXTRUDEPLANE

See Also:
  Constant Field Values

### THREED__EXTRUSIONCOLOR

    public static final short THREED__EXTRUSIONCOLOR

See Also:
  Constant Field Values

### THREED__CRMOD

    public static final short THREED__CRMOD

See Also:
  Constant Field Values

### THREED__3DEFFECT

    public static final short THREED__3DEFFECT

See Also:
  Constant Field Values

### THREED__METALLIC

    public static final short THREED__METALLIC

See Also:
  Constant Field Values

### THREED__USEEXTRUSIONCOLOR

    public static final short THREED__USEEXTRUSIONCOLOR

See Also:
  Constant Field Values

### THREED__LIGHTFACE

    public static final short THREED__LIGHTFACE

See Also:
  Constant Field Values

### THREEDSTYLE__YROTATIONANGLE

    public static final short THREEDSTYLE__YROTATIONANGLE

See Also:
  Constant Field Values

### THREEDSTYLE__XROTATIONANGLE

    public static final short THREEDSTYLE__XROTATIONANGLE

See Also:
  Constant Field Values

### THREEDSTYLE__ROTATIONAXISX

    public static final short THREEDSTYLE__ROTATIONAXISX

See Also:
  Constant Field Values

### THREEDSTYLE__ROTATIONAXISY

    public static final short THREEDSTYLE__ROTATIONAXISY

See Also:
  Constant Field Values

### THREEDSTYLE__ROTATIONAXISZ

    public static final short THREEDSTYLE__ROTATIONAXISZ

See Also:
  Constant Field Values

### THREEDSTYLE__ROTATIONANGLE

    public static final short THREEDSTYLE__ROTATIONANGLE

See Also:
  Constant Field Values

### THREEDSTYLE__ROTATIONCENTERX

    public static final short THREEDSTYLE__ROTATIONCENTERX

See Also:
  Constant Field Values

### THREEDSTYLE__ROTATIONCENTERY

    public static final short THREEDSTYLE__ROTATIONCENTERY

See Also:
  Constant Field Values

### THREEDSTYLE__ROTATIONCENTERZ

    public static final short THREEDSTYLE__ROTATIONCENTERZ

See Also:
  Constant Field Values

### THREEDSTYLE__RENDERMODE

    public static final short THREEDSTYLE__RENDERMODE

See Also:
  Constant Field Values

### THREEDSTYLE__TOLERANCE

    public static final short THREEDSTYLE__TOLERANCE

See Also:
  Constant Field Values

### THREEDSTYLE__XVIEWPOINT

    public static final short THREEDSTYLE__XVIEWPOINT

See Also:
  Constant Field Values

### THREEDSTYLE__YVIEWPOINT

    public static final short THREEDSTYLE__YVIEWPOINT

See Also:
  Constant Field Values

### THREEDSTYLE__ZVIEWPOINT

    public static final short THREEDSTYLE__ZVIEWPOINT

See Also:
  Constant Field Values

### THREEDSTYLE__ORIGINX

    public static final short THREEDSTYLE__ORIGINX

See Also:
  Constant Field Values

### THREEDSTYLE__ORIGINY

    public static final short THREEDSTYLE__ORIGINY

See Also:
  Constant Field Values

### THREEDSTYLE__SKEWANGLE

    public static final short THREEDSTYLE__SKEWANGLE

See Also:
  Constant Field Values

### THREEDSTYLE__SKEWAMOUNT

    public static final short THREEDSTYLE__SKEWAMOUNT

See Also:
  Constant Field Values

### THREEDSTYLE__AMBIENTINTENSITY

    public static final short THREEDSTYLE__AMBIENTINTENSITY

See Also:
  Constant Field Values

### THREEDSTYLE__KEYX

    public static final short THREEDSTYLE__KEYX

See Also:
  Constant Field Values

### THREEDSTYLE__KEYY

    public static final short THREEDSTYLE__KEYY

See Also:
  Constant Field Values

### THREEDSTYLE__KEYZ

    public static final short THREEDSTYLE__KEYZ

See Also:
  Constant Field Values

### THREEDSTYLE__KEYINTENSITY

    public static final short THREEDSTYLE__KEYINTENSITY

See Also:
  Constant Field Values

### THREEDSTYLE__FILLX

    public static final short THREEDSTYLE__FILLX

See Also:
  Constant Field Values

### THREEDSTYLE__FILLY

    public static final short THREEDSTYLE__FILLY

See Also:
  Constant Field Values

### THREEDSTYLE__FILLZ

    public static final short THREEDSTYLE__FILLZ

See Also:
  Constant Field Values

### THREEDSTYLE__FILLINTENSITY

    public static final short THREEDSTYLE__FILLINTENSITY

See Also:
  Constant Field Values

### THREEDSTYLE__CONSTRAINROTATION

    public static final short THREEDSTYLE__CONSTRAINROTATION

See Also:
  Constant Field Values

### THREEDSTYLE__ROTATIONCENTERAUTO

    public static final short THREEDSTYLE__ROTATIONCENTERAUTO

See Also:
  Constant Field Values

### THREEDSTYLE__PARALLEL

    public static final short THREEDSTYLE__PARALLEL

See Also:
  Constant Field Values

### THREEDSTYLE__KEYHARSH

    public static final short THREEDSTYLE__KEYHARSH

See Also:
  Constant Field Values

### THREEDSTYLE__FILLHARSH

    public static final short THREEDSTYLE__FILLHARSH

See Also:
  Constant Field Values

### SHAPE__MASTER

    public static final short SHAPE__MASTER

See Also:
  Constant Field Values

### SHAPE__CONNECTORSTYLE

    public static final short SHAPE__CONNECTORSTYLE

See Also:
  Constant Field Values

### SHAPE__BLACKANDWHITESETTINGS

    public static final short SHAPE__BLACKANDWHITESETTINGS

See Also:
  Constant Field Values

### SHAPE__WMODEPUREBW

    public static final short SHAPE__WMODEPUREBW

See Also:
  Constant Field Values

### SHAPE__WMODEBW

    public static final short SHAPE__WMODEBW

See Also:
  Constant Field Values

### SHAPE__OLEICON

    public static final short SHAPE__OLEICON

See Also:
  Constant Field Values

### SHAPE__PREFERRELATIVERESIZE

    public static final short SHAPE__PREFERRELATIVERESIZE

See Also:
  Constant Field Values

### SHAPE__LOCKSHAPETYPE

    public static final short SHAPE__LOCKSHAPETYPE

See Also:
  Constant Field Values

### SHAPE__DELETEATTACHEDOBJECT

    public static final short SHAPE__DELETEATTACHEDOBJECT

See Also:
  Constant Field Values

### SHAPE__BACKGROUNDSHAPE

    public static final short SHAPE__BACKGROUNDSHAPE

See Also:
  Constant Field Values

### CALLOUT__CALLOUTTYPE

    public static final short CALLOUT__CALLOUTTYPE

See Also:
  Constant Field Values

### CALLOUT__XYCALLOUTGAP

    public static final short CALLOUT__XYCALLOUTGAP

See Also:
  Constant Field Values

### CALLOUT__CALLOUTANGLE

    public static final short CALLOUT__CALLOUTANGLE

See Also:
  Constant Field Values

### CALLOUT__CALLOUTDROPTYPE

    public static final short CALLOUT__CALLOUTDROPTYPE

See Also:
  Constant Field Values

### CALLOUT__CALLOUTDROPSPECIFIED

    public static final short CALLOUT__CALLOUTDROPSPECIFIED

See Also:
  Constant Field Values

### CALLOUT__CALLOUTLENGTHSPECIFIED

    public static final short CALLOUT__CALLOUTLENGTHSPECIFIED

See Also:
  Constant Field Values

### CALLOUT__ISCALLOUT

    public static final short CALLOUT__ISCALLOUT

See Also:
  Constant Field Values

### CALLOUT__CALLOUTACCENTBAR

    public static final short CALLOUT__CALLOUTACCENTBAR

See Also:
  Constant Field Values

### CALLOUT__CALLOUTTEXTBORDER

    public static final short CALLOUT__CALLOUTTEXTBORDER

See Also:
  Constant Field Values

### CALLOUT__CALLOUTMINUSX

    public static final short CALLOUT__CALLOUTMINUSX

See Also:
  Constant Field Values

### CALLOUT__CALLOUTMINUSY

    public static final short CALLOUT__CALLOUTMINUSY

See Also:
  Constant Field Values

### CALLOUT__DROPAUTO

    public static final short CALLOUT__DROPAUTO

See Also:
  Constant Field Values

### CALLOUT__LENGTHSPECIFIED

    public static final short CALLOUT__LENGTHSPECIFIED

See Also:
  Constant Field Values

### GROUPSHAPE__SHAPENAME

    public static final short GROUPSHAPE__SHAPENAME

See Also:
  Constant Field Values

### GROUPSHAPE__DESCRIPTION

    public static final short GROUPSHAPE__DESCRIPTION

See Also:
  Constant Field Values

### GROUPSHAPE__HYPERLINK

    public static final short GROUPSHAPE__HYPERLINK

See Also:
  Constant Field Values

### GROUPSHAPE__WRAPPOLYGONVERTICES

    public static final short GROUPSHAPE__WRAPPOLYGONVERTICES

See Also:
  Constant Field Values

### GROUPSHAPE__WRAPDISTLEFT

    public static final short GROUPSHAPE__WRAPDISTLEFT

See Also:
  Constant Field Values

### GROUPSHAPE__WRAPDISTTOP

    public static final short GROUPSHAPE__WRAPDISTTOP

See Also:
  Constant Field Values

### GROUPSHAPE__WRAPDISTRIGHT

    public static final short GROUPSHAPE__WRAPDISTRIGHT

See Also:
  Constant Field Values

### GROUPSHAPE__WRAPDISTBOTTOM

    public static final short GROUPSHAPE__WRAPDISTBOTTOM

See Also:
  Constant Field Values

### GROUPSHAPE__REGROUPID

    public static final short GROUPSHAPE__REGROUPID

See Also:
  Constant Field Values

### GROUPSHAPE__UNUSED906

    public static final short GROUPSHAPE__UNUSED906

See Also:
  Constant Field Values

### GROUPSHAPE__TOOLTIP

    public static final short GROUPSHAPE__TOOLTIP

See Also:
  Constant Field Values

### GROUPSHAPE__SCRIPT

    public static final short GROUPSHAPE__SCRIPT

See Also:
  Constant Field Values

### GROUPSHAPE__POSH

    public static final short GROUPSHAPE__POSH

See Also:
  Constant Field Values

### GROUPSHAPE__POSRELH

    public static final short GROUPSHAPE__POSRELH

See Also:
  Constant Field Values

### GROUPSHAPE__POSV

    public static final short GROUPSHAPE__POSV

See Also:
  Constant Field Values

### GROUPSHAPE__POSRELV

    public static final short GROUPSHAPE__POSRELV

See Also:
  Constant Field Values

### GROUPSHAPE__HR_PCT

    public static final short GROUPSHAPE__HR_PCT

See Also:
  Constant Field Values

### GROUPSHAPE__HR_ALIGN

    public static final short GROUPSHAPE__HR_ALIGN

See Also:
  Constant Field Values

### GROUPSHAPE__HR_HEIGHT

    public static final short GROUPSHAPE__HR_HEIGHT

See Also:
  Constant Field Values

### GROUPSHAPE__HR_WIDTH

    public static final short GROUPSHAPE__HR_WIDTH

See Also:
  Constant Field Values

### GROUPSHAPE__SCRIPTEXT

    public static final short GROUPSHAPE__SCRIPTEXT

See Also:
  Constant Field Values

### GROUPSHAPE__SCRIPTLANG

    public static final short GROUPSHAPE__SCRIPTLANG

See Also:
  Constant Field Values

### GROUPSHAPE__BORDERTOPCOLOR

    public static final short GROUPSHAPE__BORDERTOPCOLOR

See Also:
  Constant Field Values

### GROUPSHAPE__BORDERLEFTCOLOR

    public static final short GROUPSHAPE__BORDERLEFTCOLOR

See Also:
  Constant Field Values

### GROUPSHAPE__BORDERBOTTOMCOLOR

    public static final short GROUPSHAPE__BORDERBOTTOMCOLOR

See Also:
  Constant Field Values

### GROUPSHAPE__BORDERRIGHTCOLOR

    public static final short GROUPSHAPE__BORDERRIGHTCOLOR

See Also:
  Constant Field Values

### GROUPSHAPE__TABLEPROPERTIES

    public static final short GROUPSHAPE__TABLEPROPERTIES

See Also:
  Constant Field Values

### GROUPSHAPE__TABLEROWPROPERTIES

    public static final short GROUPSHAPE__TABLEROWPROPERTIES

See Also:
  Constant Field Values

### GROUPSHAPE__WEBBOT

    public static final short GROUPSHAPE__WEBBOT

See Also:
  Constant Field Values

### GROUPSHAPE__METROBLOB

    public static final short GROUPSHAPE__METROBLOB

See Also:
  Constant Field Values

### GROUPSHAPE__ZORDER

    public static final short GROUPSHAPE__ZORDER

See Also:
  Constant Field Values

### GROUPSHAPE__FLAGS

    public static final short GROUPSHAPE__FLAGS

See Also:
  Constant Field Values

### GROUPSHAPE__EDITEDWRAP

    public static final short GROUPSHAPE__EDITEDWRAP

See Also:
  Constant Field Values

### GROUPSHAPE__BEHINDDOCUMENT

    public static final short GROUPSHAPE__BEHINDDOCUMENT

See Also:
  Constant Field Values

### GROUPSHAPE__ONDBLCLICKNOTIFY

    public static final short GROUPSHAPE__ONDBLCLICKNOTIFY

See Also:
  Constant Field Values

### GROUPSHAPE__ISBUTTON

    public static final short GROUPSHAPE__ISBUTTON

See Also:
  Constant Field Values

### GROUPSHAPE__1DADJUSTMENT

    public static final short GROUPSHAPE__1DADJUSTMENT

See Also:
  Constant Field Values

### GROUPSHAPE__HIDDEN

    public static final short GROUPSHAPE__HIDDEN

See Also:
  Constant Field Values

### GROUPSHAPE__PRINT

    public static final short GROUPSHAPE__PRINT

See Also:
  Constant Field Values

Constructor Detail

### EscherProperties

    public EscherProperties()

Method Detail

### getPropertyName

    public static java.lang.String getPropertyName(short propertyId)

### getPropertyType

    public static byte getPropertyType(short propertyId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD